Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/watching/adminwatchingbackfillimages

# Backfill images

POST `https://api.rewind.rest/v1/watching/admin/backfill-images`

Backfill missing images for movies and/or shows from TMDB.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Body

#### type (body, string)

#### limit (body, number)

#### offset (body, number)

#### dry\_run (body, boolean)

#### force (body, boolean)

## Response

#### 200

Backfill results

#### success (boolean, required)

#### results (object, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/watching/admin/backfill-images' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"type": "string", "limit": 0, "offset": 0, "dry_run": true, "force": true}'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/watching/admin/backfill-images', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"type": "string", "limit": 0, "offset": 0, "dry_run": true, "force": true}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/watching/admin/backfill-images',
    headers={'Authorization': 'Bearer <token>'},
    json={"type": "string", "limit": 0, "offset": 0, "dry_run": true, "force": true}
)
data = res.json()
```

#### Response

```json 200
{
  "success": true,
  "results": {}
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
